cURL
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/triggers/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"prop_name": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>",
"page": 123,
"prev_context": {},
"query": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.triggers.configureProp({
id: "id",
externalUserId: "external_user_id",
propName: "prop_name"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.triggers.configure_prop(
id="id",
external_user_id="external_user_id",
prop_name="prop_name",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ConfigurePropOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.triggers().configureProp(
ConfigurePropOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.propName("prop_name")
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/triggers/configure"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"prop_name\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"page\": 123,\n \"prev_context\": {},\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"stringOptions": [
"<string>"
],
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"context": {},
"errors": [
"<string>"
]
}{
"error": "Throttled"
}Configure trigger prop
Retrieve remote options for a given prop for a trigger
POST
/
v1
/
connect
/
{project_id}
/
triggers
/
configure
cURL
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/triggers/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"prop_name": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>",
"page": 123,
"prev_context": {},
"query": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.triggers.configureProp({
id: "id",
externalUserId: "external_user_id",
propName: "prop_name"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.triggers.configure_prop(
id="id",
external_user_id="external_user_id",
prop_name="prop_name",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ConfigurePropOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.triggers().configureProp(
ConfigurePropOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.propName("prop_name")
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/triggers/configure"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"prop_name\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"page\": 123,\n \"prev_context\": {},\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"stringOptions": [
"<string>"
],
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"context": {},
"errors": [
"<string>"
]
}{
"error": "Throttled"
}Run components by key, not by saved component ID. Referencing a component by its saved component ID (
sc_…) is deprecated for new integrations. Publish the component (from the public registry, or privately as a custom tool) and pass its key as id: for example slack-send-message or ~/my-custom-action. When you need an exact version to stay fixed, pin it with key@version (for example ~/my-custom-action@0.1.2) or the version parameter.Saved component IDs keep working for components that are published to the public registry or published by your workspace for the request’s environment. A component that was created but never published cannot be run or configured by ID, and the API returns 403 with a message asking you to publish it first.Authorizations
ConnectTokenOAuth2
Headers
Path Parameters
Body
application/json
Request options for configuring a component's prop
Response
trigger configuration started
Response received after configuring a component's prop
Was this page helpful?

